# Class Rappel

java.lang.Object
fr.iutfbleau.papillon.Rappel

public class Rappel extends Object
La classe `Rappel` représente un rappel utilisateur, avec un titre, un contenu, un thème et un rang de priorité.

## Constructor Summary

Constructors
Constructor
Description
`Rappel()`
Constructeur vide (utilisé notamment pour la lecture SQL).
`Rappel(int id, String titre, String contenu, String theme, int rang)`
Constructeur complet avec identifiant.
`Rappel(String titre, String contenu, String theme, int rang)`
Constructeur d’un nouveau rappel sans identifiant.

## Method Summary

Modifier and Type
Method
Description
`String`
`getContenu()`
`int`
`getId()`
`int`
`getRang()`
`String`
`getTheme()`
`String`
`getTitre()`
`void`
`setContenu(String contenu)`
`void`
`setId(int id)`
`void`
`setRang(int rang)`
`void`
`setTheme(String theme)`
`void`
`setTitre(String titre)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Rappel

public Rappel()
Constructeur vide (utilisé notamment pour la lecture SQL).

### Rappel

public Rappel(String titre, String contenu, String theme, int rang)
Constructeur d’un nouveau rappel sans identifiant.

Parameters:
  `titre` - le titre du rappel
  `contenu` - le contenu ou la description
  `theme` - la catégorie ou le thème du rappel
  `rang` - la priorité ou l’ordre d’affichage

### Rappel

public Rappel(int id, String titre, String contenu, String theme, int rang)
Constructeur complet avec identifiant.

Parameters:
  `id` - l’identifiant du rappel
  `titre` - le titre du rappel
  `contenu` - le contenu
  `theme` - le thème
  `rang` - le rang de priorité

## Method Details

### getId

public int getId()

Returns:
  l’identifiant du rappel

### setId

public void setId(int id)

Parameters:
  `id` - définit l’identifiant du rappel

### getTitre

public String getTitre()

Returns:
  le titre du rappel

### setTitre

public void setTitre(String titre)

Parameters:
  `titre` - définit le titre du rappel

### getContenu

public String getContenu()

Returns:
  le contenu du rappel

### setContenu

public void setContenu(String contenu)

Parameters:
  `contenu` - définit le contenu du rappel

### getTheme

public String getTheme()

Returns:
  le thème du rappel

### setTheme

public void setTheme(String theme)

Parameters:
  `theme` - définit le thème du rappel

### getRang

public int getRang()

Returns:
  le rang de priorité du rappel

### setRang

public void setRang(int rang)

Parameters:
  `rang` - définit le rang de priorité du rappel